import React from 'react';
import { ToastProps } from 'react-bootstrap/Toast';
import './index.scss';
interface ToasterProps extends ToastProps {
    key?: string;
    header: React.ReactNode;
    body: React.ReactNode;
    className?: string;
    classEnter?: string;
    classExit?: string;
    bg?: 'primary' | 'success' | 'danger' | 'warning' | 'info' | 'light' | 'dark';
    placement?: 'top' | 'top-left' | 'top-right' | 'bottom' | 'bottom-left' | 'bottom-right';
    duration?: number;
    delay?: number;
    dismissible?: boolean;
    onMount?: () => void;
    onUnmount?: () => void;
    onDismissed?: () => void;
}
export declare const Toaster: React.FunctionComponent<ToasterProps>;
export declare const isToastKeyExist: (key: string, placement?: ToasterProps["placement"]) => boolean;
declare const _default: (props: ToasterProps) => Promise<unknown>;
export default _default;
